import Foundation

struct TwilloCallModel: Codable {
    
    let status: Int?
    let accessToken, accessToken2, roomName: String?
    let id: Int?
    
    enum CodingKeys: String, CodingKey {
        case status
        case accessToken = "access_token"
        case accessToken2 = "access_token_2"
        case roomName = "room_name"
        case id
    }
    
}

struct CheckForTwilloCallModel: Codable {
    
    let apiStatus, apiText, apiVersion, callType: String?
    let callStatus: Int?
    
    enum CodingKeys: String, CodingKey {
        case apiStatus = "api_status"
        case apiText = "api_text"
        case apiVersion = "api_version"
        case callType = "call_type"
        case callStatus = "call_status"
    }
    
}

struct TwilloVideoCallModel: Codable {
    
    let status: Int?
    let accessToken, accessToken2, roomName: String?
    let id: Int?
    
    enum CodingKeys: String, CodingKey {
        case status
        case accessToken = "access_token"
        case accessToken2 = "access_token_2"
        case roomName = "room_name"
        case id
    }
    
}

struct TwilloVideoCallActionModel: Codable {
    
    let status: Int?
    let url: String?
    
}
